#### D.14.7.4 boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_poly(ps[, dir, rb]); ps polynomial, dir integer zero or one, rb boolean ring

Return:
  default: polynomial ps in the representation of the boolean ring rb==boolean_poly_ring(basering); optional input: boolean ring rb

Note:
  via the optional input dir, one can choose the computation method (either direct[dir==0] or recursive[dir==1]). default: recursive

Example:

    LIB "polybori.lib";
    ring r=0,x(1..5),Dp;
    poly f=x(2)*(x(3)-x(1))+x(4)*x(5);
    bring rb=r;
    boolean_poly(f);
    boolean_poly(f,0);
    boolean_poly(f,0,boolean_poly_ring(r));
    boolean_poly(f,0,rb);
    poly g=0;
    boolean_poly(g);
    poly g=1;
    boolean_poly(g);

See also: boolean_ideal; boolean_std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.